/*
 * 2D Game Engine
 * Game.h: Base Game engine class header
 * Based on pikuma.com 2D game engine in C++ and Lua course
 * Copyright (c) 2021 986-Studio. All Right Reserved
 *
 * Created by Manoël Trapier on 09/02/2021.
 */
#ifndef GAMEENGINE_GAME_H
#define GAMEENGINE_GAME_H

#include <SDL.h>
#include <stdint.h>

class Game
{
private:
    bool isRunning;
    SDL_Window *window;
    SDL_Renderer *renderer;

public:
    Game();
    ~Game();
    void Initialize();
    void Run();
    void Destroy();

    void ProcessInput();
    void Render();
    void Update();

    uint32_t windowsWidth;
    uint32_t windowsHeight;
};

#endif /* GAMEENGINE_GAME_H */
